>From ac31150b31f0989b4b45fc9282ab64d49a585a21 Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Kempf <jb@videolan.org>
Date: Wed, 1 Jun 2011 16:43:45 +0200
Subject: [PATCH] Detect Android in configure

---
 configure.ac |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

diff --git a/configure.ac b/configure.ac
index 036f502..e693e34 100644
--- a/configure.ac
+++ b/configure.ac
@@ -164,6 +164,12 @@ case "${host_os}" in
     ;;
   linux*)
     SYS=linux
+    AC_COMPILE_IFELSE([AC_LANG_PROGRAM(
+        [[#ifndef __ANDROID__
+         # error Not Android
+         #endif
+        ]],[[;]])],
+        [HAVE_ANDROID="1"],[])
     ;;
   bsdi*)
     SYS=bsdi
@@ -384,6 +390,7 @@ case "${host_os}" in
 esac
 AM_CONDITIONAL(HAVE_DARWIN,  test "${SYS}" = "darwin")
 AM_CONDITIONAL(HAVE_LINUX,   test "${SYS}" = "linux")
+AM_CONDITIONAL(HAVE_ANDROID, test "${HAVE_ANDROID}" = "1")
 AM_CONDITIONAL(HAVE_OS2,     test "${SYS}" = "os2")
 AM_CONDITIONAL(HAVE_WIN32,   test "${SYS}" = "mingw32")
 AM_CONDITIONAL(HAVE_WIN64,   test "${HAVE_WIN64}" = "1")
-- 
1.7.5.3

